/*******************************************************************************
 * FoxCustomizationNode_Gear generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCustomizationNode_Gear extends FoxCustomizationNode_GearBase within FoxArmoryUI
    native(UI)
    config(UI);

function Initialize(optional bool bSelectEquipped)
{
    bSelectEquipped = true;
    super.Initialize(bSelectEquipped);
    Outer.SelectedCustomizationType = 5;
    //return;    
}

function SetupCustomItemType(out array<UIResourceDataProvider> NewGearArray, bool bReset)
{
    // End:0x17
    if(bReset)
    {
        ResetSelectedLoadout();
    }
    NewGearArray = Outer.Outer.Outer.UnlockablesDataStore.AttachmentProviderArray;
    //return;    
}

// Export UFoxCustomizationNode_Gear::execSortScrollerBar(FFrame&, void* const)
native function SortScrollerBar();

function GenerateDetails()
{
    Outer.GenerateGearDetails();
    //return;    
}

function UpdateNodeDetails()
{
    Outer.UpdateGearStats();
    //return;    
}

function SetRenderToTextureActor(out ScrollerListEntry CurrentScrollerEntry, GearInfo CurrentGearInfo)
{
    local string IconPath;

    IconPath = Outer.CaptureActor.AddGearProviderToQueue(FoxDataProvider_GearInfo(CurrentGearInfo.GearProvider), Outer.CustomItemType);
    CurrentScrollerEntry.sIcon = Outer.Outer.Outer.MarkupImageString(IconPath);
    CurrentScrollerEntry.bColorOverride = true;
    //return;    
}

function NodeEquipButtonClicked(string SelectedIndex)
{
    super.NodeEquipButtonClicked(SelectedIndex);
    Outer.Outer.ArmoryItemGrid.as_SetSelectedModIndex(Outer.SetModDataForGear(Outer.CustomItemType), true);
    //return;    
}

defaultproperties
{
    NodeWidgetConfigs(0)=(sLabel="Tactical",SocketName=S_Back,BoneName=None,FixedThresholdParam=0.0,bApplyThresholdLerp=true,bInvertAxis=false,WeaponModIndex=EWeaponCustomizationItem.ECI_WeaponSkin,GearIndex=EArmorItem.EAIT_Tactical)
    NodeWidgetConfigs(1)=(sLabel="Gear",SocketName=S_Gear_R1,BoneName=None,FixedThresholdParam=0.0,bApplyThresholdLerp=true,bInvertAxis=false,WeaponModIndex=EWeaponCustomizationItem.ECI_WeaponSkin,GearIndex=EArmorItem.EAIT_R1)
    NodeWidgetConfigs(2)=(sLabel="Gear",SocketName=S_Gear_L1,BoneName=None,FixedThresholdParam=0.0,bApplyThresholdLerp=true,bInvertAxis=false,WeaponModIndex=EWeaponCustomizationItem.ECI_WeaponSkin,GearIndex=EArmorItem.EAIT_L1)
    NodeWidgetConfigs(3)=(sLabel="Gear",SocketName=S_Gear_R2,BoneName=None,FixedThresholdParam=0.0,bApplyThresholdLerp=true,bInvertAxis=false,WeaponModIndex=EWeaponCustomizationItem.ECI_WeaponSkin,GearIndex=EArmorItem.EAIT_R2)
    NodeWidgetConfigs(4)=(sLabel="Gear",SocketName=S_Gear_L2,BoneName=None,FixedThresholdParam=0.0,bApplyThresholdLerp=true,bInvertAxis=false,WeaponModIndex=EWeaponCustomizationItem.ECI_WeaponSkin,GearIndex=EArmorItem.EAIT_L2)
}